Draft Mirror/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "Zobacz także strony: Rysunek Roboczy: Przyciąganie i Rysunek Roboczy: Wiązania.")
(Created page with "==Opcje==")
Line 45: Line 45:
# The mirror plane is defined by the selected points and the normal of the [[Draft_SelectPlane|Draft working plane]].
# The mirror plane is defined by the selected points and the normal of the [[Draft_SelectPlane|Draft working plane]].


==Options==
<span id="Options"></span>
==Opcje==


The single character keyboard shortcuts mentioned here can be changed. See [[Draft_Preferences|Draft Preferences]].
Wspomniane tutaj skróty klawiaturowe mogą być zmienione. Zobacz stronę [[Draft_Preferences/pl|Rysunek Roboczy: Preferencje]].


* To manually enter coordinates enter the X, Y and Z component, and press {{KEY|Enter}} after each. Or you can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button when you have the desired values. It is advisable to move the pointer out of the [[3D_view|3D view]] before entering coordinates.
* To manually enter coordinates enter the X, Y and Z component, and press {{KEY|Enter}} after each. Or you can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button when you have the desired values. It is advisable to move the pointer out of the [[3D_view|3D view]] before entering coordinates.

Revision as of 13:53, 25 November 2023

Rysunek Roboczy: Odbicie lustrzane

Lokalizacja w menu
Modyfikacja → Mirror
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
M I
Wprowadzono w wersji
-
Zobacz także
Klonuj

Opis

Polecenie Odbicie lustrzane tworzy lustrzane kopie obiektów Odbicie lustrzane środowiska pracy Część z wybranych obiektów. Obiekt Odbicie lustrzane środowiska pracy Część jest parametryczny, więc będzie aktualizowany, jeśli zmieni się jego obiekt źródłowy.

Narzędzie Przesuń może być używane na obiektach 2D utworzonych za pomocą środowisk pracy Rysunek Roboczy lub Szkicownik, ale może być również używane dla wielu typów obiektów 3D, takich jak te utworzone za pomocą środowisk pracy Część, Projekt Części lub Architektura.

Tworzenie kopii lustrzanej obiektu.

Użycie

Zobacz także strony: Rysunek Roboczy: Przyciąganie i Rysunek Roboczy: Wiązania.

  1. Optionally select one or more objects.
  2. There are several ways to invoke the command:
    • Press the Draft Mirror button.
    • Select the Modification → Mirror option from the menu.
    • Use the keyboard shortcut: M then I.
  3. If you have not yet selected an object: select an object in the 3D view.
  4. The Mirror task panel opens. See Options for more information.
  5. Pick the first point of the mirror plane in the 3D view, or type coordinates and press the Enter point button.
  6. Pick the second point of the mirror plane in the 3D view, or type coordinates and press the Enter point button.
  7. The mirror plane is defined by the selected points and the normal of the Draft working plane.

Opcje

Wspomniane tutaj skróty klawiaturowe mogą być zmienione. Zobacz stronę Rysunek Roboczy: Preferencje.

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first point, else they are relative to the coordinate system origin.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Properties

See also: Property editor.

A Part Mirror object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Base

  • DANESource (Link): specifies the object that is mirrored.

Plane

  • DANEBase (Vector): specifies the base point of the mirror plane.
  • DANENormal (Vector): specifies the normal direction of the mirror plane.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To mirror objects use the mirror method of the Draft module.

mirrored_list = mirror(objlist, p1, p2)
  • objlist contains the objects to be mirrored. It is either a single object or a list of objects.
  • p1 is the first point of the mirror plane.
  • p2 is the second point of the mirror plane.
  • If the Draft working plane is available the alignment of the mirror plane is determined by its normal, else the view direction of the camera in the active 3D view is used. If the graphical interface is not available the Z axis is used.
  • mirrored_list is returned with the new Part::Mirroring objects. It is either a single object or a list of objects, depending on objlist.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(FreeCAD.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

p1 = App.Vector(2000, -1000, 0)
p2 = App.Vector(2000, 1000, 0)

line1 = Draft.make_line(p1, p2)
mirrored1 = Draft.mirror(polygon1, p1, p2)

Line2 = Draft.make_line(-p1, -p2)
mirrored2 = Draft.mirror([polygon1, polygon2], -p1, -p2)

doc.recompute()